Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for TCP/IP API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.tcpip.util
Class TCPIPConfigurationHelper

    java.lang.Object
      com.stc.connector.framework.util.ConfigurationHelper
          com.stc.connector.tcpip.util.TCPIPConfigurationHelper

All Implemented Interfaces:
  java.io.Serializable, javax.resource.spi.ConnectionRequestInfo

    public class TCPIPConfigurationHelper

extends com.stc.connector.framework.util.ConfigurationHelper

This class is used in design time validation to check if the user provided value is an ldap URL.

Author:
  Vishnuvardhan P.R
See Also:
  Serialized Form

Field Summary

Fields inherited from class com.stc.connector.framework.util.ConfigurationHelper
`SEPARATOR, SEPARATOR_CHAR`

Constructor Summary
`TCPIPConfigurationHelper(com.stc.configuration.IConfiguration aConfiguration)`

Method Summary
`com.stc.configuration.IParameter` | `getParameter(java.lang.String aPath)` Gets the parameter value from configuration file.
`boolean` | `isValueLdapURL(java.lang.String aPath)` Checks if a user provided value is an LDAP URL

Methods inherited from class com.stc.connector.framework.util.ConfigurationHelper
`buildConfiguration, buildUnEncodedConfiguration, containerToString, createConfigParams, createConfiguation, createConfiguration, decode, encode, equals, getBooleanParameterValue, getConfigTemplateAsString, getConfiguration, getInstance, getIntParameterValue, getLongParameterValue, getParameterValue, getParameterValueAsText, getSection, getStringParameterValue, getTemplate, hashCode, isEmpty, merge, merge, merge, merge, mergeConfiguration, mergeConfiguration, mergeConfigurationWithProperties, setSubSection, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TCPIPConfigurationHelper

    public TCPIPConfigurationHelper(com.stc.configuration.IConfiguration aConfiguration)

Method Detail

### getParameter

    public com.stc.configuration.IParameter getParameter(java.lang.String aPath)

  Gets the parameter value from configuration file. If the value starts with ldap:// then it returns null. The value is returned as null to avoid a validation error being thrown during designtime codegen

  Overrides:
    `getParameter` in class `com.stc.connector.framework.util.ConfigurationHelper`
  Parameters:
    `aPath` - a String representing the path in the configuration file
  Returns:
    IParameter IParameter instance for the given path

### isValueLdapURL

    public boolean isValueLdapURL(java.lang.String aPath)

  Checks if a user provided value is an LDAP URL

  Parameters:
    `aPath` - aPath a String representing the path in the configuration file.
  Returns:
    true if the value of the path represents an LDAP URL.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for TCP/IP API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD